package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.ExternalComponent;

public class CancelDeclineInfo extends ExternalComponent {


	private static final long serialVersionUID = 6429331770897039727L;

	//ZEN/5/Z11
	private String reason = null;

	//ZEN/6/Z11
	private String remarks = null;

	//private Date effectiveDate = null;

	//private String reasonNotProcessed = null;


	private Boolean cancelDeclineIndicator = null;

	public Boolean getCancelDeclineIndicator() {
		return cancelDeclineIndicator;
	}

	public void setCancelDeclineIndicator(Boolean cancelDeclineIndicator) {
		this.cancelDeclineIndicator = cancelDeclineIndicator;
	}

	/**
	public Date getEffectiveDate() {
		return effectiveDate;
	}

	public void setEffectiveDate(Date effectiveDate) {
		this.effectiveDate = effectiveDate;
	}
	 **/
	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	/**
	public String getReasonNotProcessed() {
		return reasonNotProcessed;
	}

	public void setReasonNotProcessed(String reasonNotProcessed) {
		this.reasonNotProcessed = reasonNotProcessed;
	}
	**/

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

}
